
// stdafx.cpp : 只包括标准包含文件的源文件
// FATP_FQC.pch 将作为预编译头
// stdafx.obj 将包含预编译类型信息

#include "stdafx.h"
#define MAX_SIZE 8192
void dprintf(TCHAR* pszStr, ...)
{
	 TCHAR szData[MAX_SIZE] = {0};
	 // 获取今年年份;
	 __time64_t gmt = time(NULL);// 获取当前日历时间(1900-01-01开始的Unix时间戳);
	 struct tm gmtm = { 0 };
	 localtime_s(&gmtm, &gmt); // 时间戳转成本地时间;
#if _MSC_VER >= 1200 && _MSC_VER < 1500
	 sprintf(szData, _T("[FQC] %04d-%02d-%02d %02d:%02d:%02d "), gmtm.tm_year + 1900, gmtm.tm_mon + 1, gmtm.tm_mday, gmtm.tm_hour, gmtm.tm_min, gmtm.tm_sec);
#else
	 _stprintf_s(szData, _T("[FQC] %04d-%02d-%02d %02d:%02d:%02d "), gmtm.tm_year + 1900, gmtm.tm_mon + 1, gmtm.tm_mday, gmtm.tm_hour, gmtm.tm_min, gmtm.tm_sec);
#endif
	 int len = _tcslen(szData);
	 va_list args;
	 va_start(args, pszStr);
	 _vsntprintf_s(szData + len, MAX_SIZE - len, MAX_SIZE - len, pszStr, args);
	 va_end(args);
	 _tcscat_s(szData, _T("\n"));
	 OutputDebugString(szData);
}
